Package org.jboss.resteasy.plugins.providers.atom

## Class AtomEntryProvider

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.AtomEntryProvider

- All Implemented Interfaces:
    `javax.ws.rs.ext.MessageBodyReader<Entry>`, `javax.ws.rs.ext.MessageBodyWriter<Entry>`, `AsyncBufferedMessageBodyWriter<Entry>`, `AsyncMessageBodyWriter<Entry>`

      @Provider
      @Produces("application/atom+*")
      @Consumes("application/atom+*")
      public class AtomEntryProvider
      extends Object
      implements javax.ws.rs.ext.MessageBodyReader<Entry>, AsyncBufferedMessageBodyWriter<Entry>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.ws.rs.ext.Providers` | `providers` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AtomEntryProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected JAXBContextFinder` | `getFinder​(javax.ws.rs.core.MediaType type)` |
    `long` | `getSize​(Entry entry, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `boolean` | `isReadable​(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `boolean` | `isWriteable​(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `Entry` | `readFrom​(Class<Entry> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders, InputStream entityStream)` |
    `void` | `writeTo​(Entry entry, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders, OutputStream entityStream)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.core.messagebody.AsyncBufferedMessageBodyWriter

      `asyncWriteTo`

- - ### Field Detail

    - #### providers

          @Context
          protected javax.ws.rs.ext.Providers providers

  - ### Constructor Detail

    - #### AtomEntryProvider

          public AtomEntryProvider()

  - ### Method Detail

    - #### getFinder

          protected JAXBContextFinder getFinder​(javax.ws.rs.core.MediaType type)

    - #### isReadable

          public boolean isReadable​(Class<?> type,
                                    Type genericType,
                                    Annotation[] annotations,
                                    javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `isReadable` in interface `javax.ws.rs.ext.MessageBodyReader<Entry>`

    - #### readFrom

          public Entry readFrom​(Class<Entry> type,
                                Type genericType,
                                Annotation[] annotations,
                                javax.ws.rs.core.MediaType mediaType,
                                javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders,
                                InputStream entityStream)
                         throws IOException,
                                javax.ws.rs.WebApplicationException

      Specified by:
        `readFrom` in interface `javax.ws.rs.ext.MessageBodyReader<Entry>`
      Throws:
        `IOException`
        `javax.ws.rs.WebApplicationException`

    - #### isWriteable

          public boolean isWriteable​(Class<?> type,
                                     Type genericType,
                                     Annotation[] annotations,
                                     javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `isWriteable` in interface `javax.ws.rs.ext.MessageBodyWriter<Entry>`

    - #### getSize

          public long getSize​(Entry entry,
                              Class<?> type,
                              Type genericType,
                              Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `getSize` in interface `javax.ws.rs.ext.MessageBodyWriter<Entry>`

    - #### writeTo

          public void writeTo​(Entry entry,
                              Class<?> type,
                              Type genericType,
                              Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType,
                              javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders,
                              OutputStream entityStream)
                       throws IOException,
                              javax.ws.rs.WebApplicationException

      Specified by:
        `writeTo` in interface `javax.ws.rs.ext.MessageBodyWriter<Entry>`
      Throws:
        `IOException`
        `javax.ws.rs.WebApplicationException`